Subject: RE: [NSIS] WG Last Call on draft-ietf-nsis-req-06.txt

From: [email-masked]
Date: Sun, 2 Feb 2003 15:52:00 +0200

Hi all,

This text looks good.  Shall we adopt it?

John

> -----Original Message-----
> From: ext Kuntal Chowdhury [mailto:[email-masked]]
> Sent: 30 January, 2003 00:12
> To: [email-masked]
> Subject: Re: [NSIS] WG Last Call on draft-ietf-nsis-req-06.txt
> 
> 
> Hi all,
> Here is the updated text for issue# 7. I incorporated the 
> comments from Maarten 
> and Brian.
> 
> --------------------------------------------------------------
> ----------------
> 
> 10.2 3G Wireless Networks
> 
>     In this scenario, the user is using the packet services of a 3rd
>     generation wireless system (e.g. 3GPP/UMTS, 3GPP2/cdma2000). The
>     region between the End Host and the Edge Node (Edge Router)
>     connecting the wireless network to another QoS domain is 
> considered
>     to be a single QoS domain.
> 
>     The issues in such an environment regarding QoS include:
> 
>     1) 3G wireless networks provide their own QoS technology with
>     specialized parameters to co-ordinate the QoS provided by both the
>     radio access and wired access networks. Provisioning of QoS
>     technologies within a 3G wireless network can be described mainly
>     in terms of calling bearer classes, service options and service
>     instances. These QoS technologies need to be invoked with suitable
>     parameters when higher layers trigger a request for QoS. Therefore
>     these involve mapping of the requested higher layer QoS parameters
>     onto specific bearer classes or service instances. The request for
>     allocation of resources might be triggered by signaling at the IP
>     level that passes across the wireless system, and possibly other
>     QoS domains. Typically, wireless network specific messages are
>     invoked to setup the underlying bearer classes or service 
> instances
>     in parallel with the IP layer QoS negotiation, to 
> allocate resources
>     within the radio access network.
> 
>     2) The IP signaling messages are initiated by the NSIS 
> initiator and
>     interpreted by the NSIS Forwarder. The most efficient placement of
>     the NSIS Initiator and NSIS Forwarder has not been 
> determined in 3G
>     wireless networks, but a few potential scenarios can be 
> envisioned.
>     The NSIS Initiator could be located at the End Host e.g. UE or MS
>     (triggered by applications), the Access Gateway or at a 
> node that is
>     not directly on the data path, such as a Policy Decision Function.
>     The Access Gateway could act as a proxy NSIS Initiator on 
> behalf of
>     the UE/MS or an End Host. The Policy Decision Function 
> that controls
>     per-flow/aggregate resources with respect to the session 
> within its
>     QoS domain (e.g. the 3G wireless network) may act as a proxy NSIS
>     Initiator for the UE/MS or the Access Gateway. Depending on the
>     placement of the NSIS Initiator, the NSIS Forwarder may 
> be located at
>     an appropriate point in the 3G wireless network.
> 
>     3) The need for re-negotiation of resources in a new 3G wireless
>     domain due to UE/MS mobility. In this case the NSIS 
> Initiator and the
>     NSIS Forwarder should detect mobility events and 
> autonomously trigger
>     re-negotiation of resources.
> 
> 
> 
> 10.3 An example scenario for 3G wireless networks
> 
>      The 3G wireless access scenario is shown in Figure 1. 
> The Proxy-Call
>      State Control Function (P-CSCF) is the outbound SIP 
> proxy (only used
>      in IMS). The Access Gateway is the egress router of the 
> 3G wireless
>      domain and it connects the radio access network to the 
> Edge Router
>      (ER) of the backbone IP network. The Policy Decision 
> Function (PDF)is
>      an entity responsible for controlling bearer level 
> resource allocations/
>      de-allocations in relation to session level services 
> e.g. SIP. The
>      Policy Decision Function may also control the Access 
> Gateway to open
>      and close the gates and to configure per-flow policies, i.e. to
>      authorize or forbid user traffic. The P-CSCF (only used 
> in IMS) and
>      the Access Gateway communicate with the Policy Decision 
> Function, for
>      network resource allocation/de-allocation decisions. The 
> User Equipment
>      (UE) or the Mobile Station (MS) consists of a Mobile 
> Terminal (MT) and
>      Terminal Equipment (TE), e.g. a laptop.
> 
> 
>                             +--------+
>                  +--------->| P-CSCF |---------> SIP signaling
>                 /           +--------+
>                / SIP            |
>               |                 |
>               |              +-----+            +----------------+
>               |              | PDF |<---------->| NSIS 
> Forwarder |<--->
>               |              +-----+            +----------------+
>               |                 |                  ^
>               |                 |                  |
>               |                 |                  |
>               |                 |COPS              |
>               |                 |                  |
>           +------+          +---------+            |
>           | UE/MS|----------| Access  |<-----------+     +----+
>           +------+          | Gateway |------------------| ER |
>                             +---------+                  +----+
> 
>                    Figure 1: 3G wireless access scenario
> 
>     The PDF has all the required QoS information for per-flow 
> or aggregate
>     admission control in 3G wireless networks. It receives resource
>     allocation/de-allocation requests from the P-CSCF and/or
>     Access Gateway etc. and responds with policy decisions. 
> Hence the PDF
>     may be a candidate entity to host the functionality of the NSIS
>     Initiator, initiating the "NSIS" QoS signaling towards 
> the backbone IP
>     network. On the other hand, the UE/MS may act as the NSIS 
> Initiator or
>     the Access Gateway may act as a Proxy NSIS Initiator on 
> behalf of the
>     UE/MS. In the former case, the P-CSCF/PDF has to do the 
> mapping from
>     codec types and media descriptors (derived from SIP/SDP 
> signaling) to
>     IP traffic descriptor. In the latter case, the UE/MS may use any
>     appropriate QoS signaling mechanism as the NSIS 
> Initiator. If the Access
>     Gateway is acting as the Proxy NSIS initiator on behalf 
> of the UE/MS,
>     then it may have to do the mapping of parameters from radio access
>     specific QoS to IP QoS traffic parameters before 
> forwarding the request
>     to the NSIS Forwarder.
> 
>     The NSIS Forwarder is currently not part of the standard 
> 3G wireless
>     architecture. However, to achieve end-to-end QoS a NSIS 
> Forwarder is
>     needed such that the NSIS Initiators can request a QoS 
> connection to
>     the IP network. As in the previous example, the NSIS Forwarder
>     could manage a set of pre-provisioned resources in the IP network,
>     i.e. bandwidth pipes, and the NSIS Forwarder performs 
> per-flow admission
>     control into these pipes. In this way, a connection can 
> be made between
>     two 3G wireless access networks, and hence, end-to-end QoS can be
>     achieved. In this case the NSIS Initiator and NSIS Forwarder are
>     clearly two separate logical entities. The Access Gateway 
> or/and the
>     Edge Router in Fig.1 may contain the NSIS Forwarder functionality,
>     depending upon the placement of the NSIS Initiator as discussed in
>     scenario 2 in section 10.2. This use case clearly 
> illustrates the need
>     for an "NSIS" QoS signaling protocol between NSIS 
> Initiator and NSIS
>     Forwarder. An important application of such a protocol 
> may be its use
>     in the end-to-end establishment of a connection with specific QoS
>     characteristics between a mobile host and another party 
> (e.g. end host
>     or content server).
> 
> 
> 
> --------------------------------------------------------------
> -------------------
> 
> -Kuntal
> 
> 
> Brian Williams wrote:
> > Hi Kuntal.
> > I would suggest some small tweaking in the wording as follows (the 
> > changes are in the parts between the <>):
> > 
> > 2) The IP signaling messages are initiated by the NSIS 
> initiator and 
> > interpreted by the NSIS Forwarder. The most efficient 
> placement of the 
> > NSIS Initiator and NSIS Forwarder has not been determined 
> in 3G wireless 
> > networks, but a few potential scenarios can be envisioned. The NSIS 
> > Initiator could be located at the End Host e.g. UE or MS 
> (triggered by 
> > applications), the Access Gateway or at a node that is not 
> directly on 
> > the data path, such as a policy server. The Access Gateway 
> could act as 
> > a proxy NSIS Initiator on behalf of the UE/MS or an End 
> Host. The Policy 
> > <Decision Function that controls> per-flow/aggregate 
> resources <with 
> > respect to the session> within its QoS domain (e.g. the 3G wireless 
> > network) may act as a proxy NSIS Initiator for the UE/MS or 
> the Access 
> > Gateway. Depending on the placement of the NSIS Initiator, the NSIS 
> > Forwarder may be located at an appropriate point in the 3G wireless 
> > network.
> > 
> > 10.3 An example scenario for a 3G wireless network
> > 
> > The 3G wireless access scenario is shown in Figure 1. The 
> Proxy-Call 
> > State Control Function (P-CSCF) is the outbound SIP proxy 
> (only used in 
> > IMS). The Access Gateway is the egress router of the 3G 
> wireless domain 
> > and it connects the radio access network to the Edge Router 
> (ER) of the 
> > backbone IP network. <The Policy Decision Function is an entity 
> > responsible for controlling bearer level resource 
> > allocations/de-allocations in relation to session level 
> services eg SIP. 
> > The Policy Decision Function may also control the Access 
> Gateway to open 
> > and close the gates and to configure per-flow policies, i.e. to 
> > authorize or forbid user traffic.>
> > /brian
> > 
> > Kuntal Chowdhury wrote:
> > 
> >> Hi all,
> >> Here is an attempt to generalize the scope of NSIS in 3G wireless 
> >> networks. The following is the suggested update/re-write 
> of section 
> >> 10.2 and 10.3.
> >>
> >> Issue Name: 7
> >> Submitter name: Louis-Nicolas Hamer and Kuntal Chowdhury
> >> Submitter email address: [email-masked]
> >> Date first submitted: 22/01/2003
> >> Reference: none
> >> Document: draft-ietf-nsis-req-06.txt
> >> Comment type: T
> >> Priority:  2
> >> Section: 10.2 & 10.3
> >>
> >> Proposed text:
> >>
> >> 10.2 3G Wireless Networks
> >>
> >>    In this scenario, the user is using the packet services of a 3rd
> >>    generation wireless system (e.g. 3GPP/UMTS, 3GPP2/cdma2000). The
> >>    region between the End Host and the Edge Node (Edge Router)
> >>    connecting the wireless network to another QoS domain 
> is considered
> >>    to be a single QoS domain.
> >>
> >>    The issues in such an environment regarding QoS include:
> >>
> >>    1) 3G wireless networks provide their own QoS technology with
> >>    specialized parameters to co-ordinate the QoS provided 
> by both the
> >>    radio access and wired access networks. Provisioning of QoS
> >>    technologies within a 3G wireless network can be 
> described mainly
> >>    in terms of calling bearer classes, service options and service
> >>    instances. These QoS technologies need to be invoked 
> with suitable
> >>    parameters when higher layers trigger a request for 
> QoS. Therefore
> >>    these involve mapping of the requested higher layer QoS 
> parameters
> >>    onto specific bearer classes or service instances. The 
> request for
> >>    allocation of resources might be triggered by signaling 
> at the IP
> >>    level that passes across the wireless system, and possibly other
> >>    QoS domains. Typically, wireless network specific messages are
> >>    invoked to setup the underlying bearer classes or 
> service instances
> >>    in parallel with the IP layer QoS negotiation, to 
> allocate resources
> >>    within the radio access network.
> >>
> >>    2) The IP signaling messages are initiated by the NSIS 
> initiator and
> >>    interpreted by the NSIS Forwarder. The most efficient 
> placement of the
> >>    NSIS Initiator and NSIS Forwarder has not been determined in 3G 
> >> wireless
> >>    networks, but a few potential scenarios can be 
> envisioned. The NSIS
> >>    Initiator could be located at the End Host e.g. UE or 
> MS (triggered by
> >>    applications), the Access Gateway or at a node that is 
> not directly on
> >>    the data path, such as a policy server. The Access 
> Gateway could 
> >> act as
> >>    a proxy NSIS Initiator on behalf of the UE/MS or an End 
> Host. The 
> >> Policy
> >>    Server that manages per-flow/aggregate resources within 
> its QoS domain
> >>    (e.g. the 3G wireless network) may act as a proxy NSIS 
> Initiator 
> >> for the
> >>    UE/MS or the Access Gateway. Depending on the placement 
> of the NSIS
> >>    Initiator, the NSIS Forwarder may be located at an appropriate
> >>    point in the 3G wireless network.
> >>
> >>    3) The need for re-negotation of the resource needs in a new 3G 
> >> wireless
> >>    domain due to UE/MS mobility. In this case the NSIS 
> Initiators and the
> >>    NSIS Forwarders will have to detect mobility events and trigger
> >>    re-negotiation of resources autonomously.
> >>
> >>
> >> 10.3 An example scenario for a 3G wireless network
> >>
> >>    The 3G wireless access scenario is shown in Figure 1. 
> The Proxy-Call
> >>    State Control Function (P-CSCF) is the outbound SIP 
> proxy (only used
> >>    in IMS). The Access Gateway is the egress router of the 
> 3G wireless
> >>    domain and it connects the radio access network to the 
> Edge Router
> >>    (ER) of the backbone IP network. The Policy Server is the entity
> >>    responsible for managing the resource 
> allocations/de-allocations in
> >>    the 3G wireless domain. It is also responsible for the 
> policy-based
> >>    control of the end-user service. The Policy Server also 
> controls the
> >>    Access Gateway to open and close the gates and to 
> configure per-flow
> >>    policies, i.e. to authorize or forbid user traffic. The 
> P-CSCF (only
> >>    used in IMS) and the Access Gateway communicate with the Policy 
> >> Server,
> >>    for network resource allocation/de-allocation 
> decisions. The User
> >>    Equipment (UE) or the Mobile Station (MS) consists of a Mobile 
> >> Terminal
> >>    (MT) and Terminal Equipment (TE), e.g. a laptop.
> >>
> >>
> >>                            +--------+
> >>                 +--------->| P-CSCF |-------> SIP signaling
> >>                /           +--------+
> >>               / SIP            |
> >>              |             +--------+
> >>              |             | Policy |         +----------------+
> >>              |             | Server |<------->| NSIS 
> Forwarder |<--->
> >>              |             +--------+         +----------------+
> >>              |                 |                  ^
> >>              |                 |COPS              |
> >>              |                 |                  |
> >>          +------+          +---------+            |
> >>          | UE/MS|----------| Access  |<-----------+         +----+
> >>          +------+          | Gateway |----------------------| ER |
> >>                            +---------+                      +----+
> >>
> >>                   Figure 1: 3G wireless access scenario
> >>
> >>    The Policy Server has all the required QoS information 
> for per-flow
> >>    or aggregate admission control in 3G wireless networks. 
> It receives
> >>    resource allocation/de-allocation requests from the 
> P-CSCF and/or
> >>    Access Gateway etc. and responds with policy decisions. 
> Hence the
> >>    Policy Server may be a candidate entity to host the 
> functionality
> >>    of the NSIS Initiator, initiating the "NSIS" QoS 
> signaling towards the
> >>    core IP network. On the other hand, the UE/MS may act 
> as the NSIS
> >>    Initiator or the Access Gateway may act as a Proxy NSIS 
> Initiator
> >>    on behalf of the UE/MS. In the former case, the 
> P-CSCF/Policy Server
> >>    has to do the mapping from codec types and media 
> descriptors (derived
> >>    from SIP/SDP signaling) to IP traffic descriptor. In the latter
> >>    case, the UE/MS may use any appropriate QoS signaling 
> mechanism as the
> >>    NSIS Initiator. If the Access Gateway is acting as the Proxy
> >>    NSIS initiator on behalf of the UE/MS, then it may have 
> to do the
> >>    mapping of parameters from radio access specific QoS to IP QoS
> >>    traffic parameters before forwarding the request to the NSIS 
> >> Forwarder.
> >>
> >>    The NSIS Forwarder is currently not part of the 
> standard 3G wireless
> >>    architecture. However, to achieve end-to-end QoS a NSIS 
> Forwarder is
> >>    needed such that the NSIS Initiators can request a QoS 
> connection to
> >>    the IP network. As in the previous example, the NSIS Forwarder
> >>    could manage a set of pre-provisioned resources in the 
> IP network,
> >>    i.e. bandwidth pipes, and the NSIS Forwarder performs per-flow 
> >> admission
> >>    control into these pipes. In this way, a connection can be made 
> >> between
> >>    two 3G wireless access networks, and hence, end-to-end 
> QoS can be
> >>    achieved. In this case the NSIS Initiator and NSIS Forwarder are
> >>    clearly two separate logical entities. The Access 
> Gateway or/and the
> >>    Edge Router in Fig.1 may contain the NSIS Forwarder 
> functionality,
> >>    depending upon the placement of the NSIS Initiator as 
> discussed in
> >>    scenario 2 in section 10.2. This use case clearly 
> illustrates the need
> >>    for an "NSIS" QoS signaling protocol between NSIS 
> Initiator and NSIS
> >>    Forwarder. An important application of such a protocol 
> may be its use
> >>    in the end-to-end establishment of a connection with 
> specific QoS
> >>    characteristics between a mobile host and another party 
> (e.g. end host
> >>    or content server).
> >>
> >>
> >>
> >>
> >> _______________________________________________
> >> nsis mailing list
> >> [email-masked]
> >> https://www1.ietf.org/mailman/listinfo/nsis
> >>
> > 
> > 
> > 
> 
> 
> _______________________________________________
> nsis mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/nsis
> 
_______________________________________________
nsis mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/nsis